finley::NodeMapping Struct Reference

`#include <NodeMapping.h>`

## Public Member Functions

void | clear ()
| resets both map and target. More...
void | assign (const std::vector< index_t > &theTarget, index_t unused)
dim_t | getNumTargets () const
| returns the number of target nodes (number of items in the map array) More...

## Public Attributes

std::vector< index_t > | target
| target[i] defines the target of FEM node i=0,...,numNodes-1 More...
std::vector< index_t > | map
| maps the target nodes back to the FEM nodes: target[map[i]]=i More...

## Member Function Documentation

## assign()

void finley::NodeMapping::assign | ( | const std::vector< index_t > & | theTarget,
|  | index_t | unused
| ) |  |

inline

initializes a node mapping. The target array is copied and a reverse map created. theTarget[i]=unused means that no target is defined for FEM node i.

References finley::util::getFlaggedMinMaxInt(), map, and target.

Referenced by finley::NodeFile::createDOFMappingAndCoupling(), and finley::NodeFile::createNodeMappings().

## clear()

void finley::NodeMapping::clear | ( |  | ) |

inline

resets both map and target.

References map, and target.

Referenced by finley::NodeFile::freeTable().

## getNumTargets()

dim_t finley::NodeMapping::getNumTargets | ( |  | ) | const

inline

returns the number of target nodes (number of items in the map array)

References map.

Referenced by finley::NodeFile::createDOFMappingAndCoupling(), finley::NodeFile::createNodeMappings(), finley::NodeFile::getNumDegreesOfFreedomTargets(), finley::NodeFile::getNumReducedDegreesOfFreedomTargets(), and finley::NodeFile::getNumReducedNodes().

## Member Data Documentation

## map

std::vector<index_t> finley::NodeMapping::map

maps the target nodes back to the FEM nodes: target[map[i]]=i

Referenced by assign(), finley::NodeFile::borrowDegreesOfFreedomTarget(), finley::NodeFile::borrowNodesTarget(), finley::NodeFile::borrowReducedDegreesOfFreedomTarget(), finley::NodeFile::borrowReducedNodesTarget(), clear(), finley::NodeFile::createDOFMappingAndCoupling(), finley::NodeFile::createNodeMappings(), and getNumTargets().

## target

std::vector<index_t> finley::NodeMapping::target

target[i] defines the target of FEM node i=0,...,numNodes-1

Referenced by assign(), finley::NodeFile::borrowTargetDegreesOfFreedom(), finley::NodeFile::borrowTargetNodes(), finley::NodeFile::borrowTargetReducedDegreesOfFreedom(), finley::NodeFile::borrowTargetReducedNodes(), clear(), and finley::NodeFile::print().

The documentation for this struct was generated from the following file:

- finley/src/NodeMapping.h